### Function

# WebKit2 SecurityOrigin new_for_uri

#### Declaration [src]

    WebKitSecurityOrigin*
    webkit_security_origin_new_for_uri (
      const gchar* uri
    )

#### Description [src]

Create a new security origin from the provided.

Create a new security origin from the provided URI. Components of `uri` other than protocol, host, and port do not affect the created `WebKitSecurityOrigin`.

Available since: | 2.16

#### Parameters

`uri` | `const gchar*`
| The URI for the new origin.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `WebKitSecurityOrigin`
| A `WebKitSecurityOrigin`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.